%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%Sec 9.2 MATLAB computations
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Exercise 9.2.7
IndEdges = [1 1 4 4;
    2 1 5 3;
    3 1 6 9;
    4 2 4 7;
    5 2 5 1;
    6 2 6 6;
    7 3 4 5;
    8 3 5 5;
    9 3 6 2];
IndEdges(:,1:3) = IndEdges(:,[2 3 1])
Edges = IndEdges(:,1:3);
Wgts = IndEdges(:,4)';
[ParentList DiscoveryList DistanceList] = Dijkstra(Edges, Wgts, 1, 6)
%Part (b):
[ParentList DiscoveryList DistanceList] = Dijkstra(Edges, Wgts, 2, 6)


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Exercise 9.2.9
clear
IndEdges = [1 1 2 8;
    2  2 5 8;
    3  2 6 7;
    4  3 2 2;
    5  3 4 6;
    6  4 7 3;
    7  5 1 2;
    8  5 6 3;
    9  5 9 5;
    10 6 3 5;
    11 6 9 5;
    12 7 3 4;
    13 7 6 1;
    14 7 11 9;
    15 8 5 7;
    16 9 8 4;
    17 9 10 1;
    18 10 6 7;
    19 10 7 3;
    20 11 10 9];
IndEdges(:,1:3) = IndEdges(:,[2 3 1])
Edges = IndEdges(:,1:3);
Wgts = IndEdges(:,4)';
%[ParentList DiscoveryList DistanceList] = Dijkstra(Edges, Wgts, 1, 11)
%Part (d):
[ParentList DiscoveryList DistanceList] = DijkstraDigraph(Edges, Wgts, 1, 11)



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Exercise 9.2.13:  Running Errands TSP
clear
%1 = Home, 2 = Bank, 3 = School, 4 = Hardware, 5 = K-Mart, 6 = Grocery
W = [0 2 2 3 4 3;
     2 0 4 3 4 5;
     2 4 0 5 6 5;
     3 3 5 0 3 6;
     4 4 6 3 0 3;
     3 5 5 6 3 0];
 [lowprice, Rts]=TSP_Brute(W)
